Subject: Re: [Bitcoin-development] Request review: drop misbehaving peers

From: "Luke-Jr" <[email-masked]>
Date: Thu, 15 Sep 2011 11:36:44 -0400

On Thursday, September 15, 2011 8:56:24 AM kjj wrote:
> Luke-Jr wrote:
> > On Wednesday, September 14, 2011 9:57:00 PM Gavin Andresen wrote:
> >> I'm looking for review of this pull request:
> >>    https://github.com/bitcoin/bitcoin/pull/517
> > 
> > "Non-standard" transactions, or those with "insufficient" fees should not
> > be penalised. These are properly relay/miner policy decisions, not
> > protocol violations, and should be made more easily configurable, not
> > punished for configuration.
> 
> A few non-standard transactions are probably legitimate.  A whole bunch
> of them are probably not.  I would think that assigning a point or two
> of badness to a peer sending one is pretty reasonable, with the
> understanding that we would need to adjust that as the network evolves.

No. There is no such thing as "non-standard transactions" really; it is simply 
"transactions outside of the bounds that I as a user/miner will relay/accept". 
It is perfectly legitimate for other users/miners to relay/accept transactions 
more liberally. By penalising for transactions falling outside of your 
*personal policies*, you would end up banning many legitimate nodes.